<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:cc="http://xmlns.jcp.org/jsf/composite" xmlns:p="http://primefaces.org/ui">
	<cc:interface>
		<cc:attribute name="action" required="true" method-signature="java.lang.String action()" />
		<cc:attribute name="on" required="false" default="true" type="java.lang.Boolean" />
		<cc:attribute name="title" required="false" default="Confirmation Modal" />
		<cc:attribute name="approveButtonLabel" required="false" default="ok" />
		<cc:attribute name="cancelButtonLabel" required="false" default="cancel" />
		<cc:attribute name="value" required="false" default="" />
		<cc:attribute name="tooltip" required="false" default="" />
		<cc:attribute name="immediate" required="false" default="false" />
	</cc:interface>
	<cc:implementation>
		<p:dialog widgetVar="modal_#{cc.clientId}" header="#{cc.attrs.title}" appendTo="@(main)" modal="true">
			<div class="attention" style="padding: 8px; text-align: center; vertical-align: middle">
				<cc:insertChildren />
			</div>
			<f:facet name="footer">
				<p:commandButton id="btn_cancel" type="button" value="#{cc.attrs.cancelButtonLabel}" onclick="PF('modal_#{cc.clientId}').hide();" />
				<p:commandButton id="btn_approve" action="#{cc.attrs.action}" value="#{cc.attrs.approveButtonLabel}" immediate="#{cc.attrs.immediate}" ajax="false" />
			</f:facet>
		</p:dialog>
		<!-- the icon shows the change to that the user wants to switch, not the current state -->
		<p:commandButton type="button" styleClass="iconbutton" icon="pi pi-#{cc.attrs.on ? 'times-circle' : 'check-circle'} #{cc.attrs.on ? 'redfont' : 'greenfont'}" style="font-size: large"
			onclick="PF('modal_#{cc.clientId}').show();" title="#{cc.attrs.tooltip}" value="#{cc.attrs.value}" />
	</cc:implementation>
</ui:composition>